Bug 23224 - swallowed app handling is wrong
swallowed app handling is wrong
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Need Real Name
Depends On:
  Show dependency treegraph
Reported: 2001-01-03 08:26 EST by Tim Waugh
Modified: 2013-04-02 00:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-01 19:30:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2001-01-03 08:26:50 EST
right-click on panel
Panel->Add to panel->Swallowed app...
Title of application to swallow: "xload" (for example)
Command: "xload"

The app is swallowed correctly, although its size is not readjusted.

Now logout, making sure to saving the current setup, and log back in.
There is now an extra xload, which isn't swallowed. (Not saving the current
setup works around it.)

If it doesn't go wrong with one, try adding another swallowed app (like
xclock).  Sometimes it all works with one, but with two it always seems to
go wrong.

This also happens in Red Hat Linux 7.
Comment 1 Elliot Lee 2001-02-01 19:30:49 EST
I can reproduce the problem with gnome-core-1.2.4-3, *if* I save my session. If
I add the applets to the panel, then logout without saving my session, things
are restored perfectly.

My theory is that the session manager is restarting the swallowed apps, even
though they are also being started by the swallow applet. I am not sure what the
correct solution is - this is a tougher problem.
Comment 2 Havoc Pennington 2002-03-04 11:46:39 EST
I'm tempted to say "swallowing apps not designed to be swallowed is just a
really broken feature and should never have been added"

Anyway, not criticial enough to fix for 7.1 or 7.2, still not critical enough. ;-)

Note You need to log in before you can comment on or make changes to this bug.